ARCHIVE-PUBMED(1)

NAME
archive-pubmed - populate a local NCBI PubMed archive from scratch

SYNOPSIS
archive-pubmed [[-path] dir [[-temp|-work|-working] dir]]

DESCRIPTION
archive-pubmed prepares a directory to hold a local PubMed archive, then downloads a full database dump from NCBI's servers, organizes it into an rchive(1) trie, and refreshes the versioned records.

OPTIONS

[-path] dir
    Place the local archive in dir.

[-temp|-work|-working] dir
    Place intermediate subtrees in dir.

ENVIRONMENT

EDIRECT_PUBMED_MASTER
    Local archive directory to use in the absence of -path. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

EDIRECT_PUBMED_WORKING
    Directory to hold intermediate subtrees in the absence of -temp|-work|-working. Expected to hold an absolute path. Defaults to the primary local archive directory when not set.

SEE ALSO
download-pubmed(1), expand-current(1), fetch-pubmed(1), index-pubmed(1), phrase-search(1), pm-prepare(1), pm-refresh(1), pm-stash(1), rchive(1).